package com.seer.teach.admin.convert;


import com.seer.teach.admin.request.GradeSubjectReq;
import com.seer.teach.admin.response.GradeSubjectResp;
import com.seer.teach.teacher.module.entity.GradeSubjectEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface GradeSubjectConvert {


    GradeSubjectConvert INSTANCE = Mappers.getMapper(GradeSubjectConvert.class);


    List<GradeSubjectResp> convertRespList(List<GradeSubjectEntity> list);

    GradeSubjectEntity convertOne(GradeSubjectReq req);

    GradeSubjectResp.SubjectItem convertTwo(GradeSubjectEntity entity);
}
